Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Wed 27 Aug 2014, 17:17
All times are UTC - 4
 Forum index » Advanced Topics » Additional Software (PETs, n' stuff) » Unsorted
SCons
Moderators: deshlab, Flash, GuestToo, Ian, JohnMurga, Lobster
Post new topic   Reply to topic View previous topic :: View next topic
Page 1 of 1 [3 Posts]  
Author Message
robwoj44

Joined: 08 Aug 2008
Posts: 362
Location: Warsaw

PostPosted: Sat 15 Nov 2008, 19:06    Post subject:  SCons
Subject description: software construction tool
 

http://www.scons.org/
SCons is a software construction tool—that is, a next-generation build tool. Think of SCons as an improved, cross-platform substitute for the classic Make utility with integrated functionality similar to autoconf/automake and compiler caches such as ccache. In short, SCons is an easier, more reliable and faster way to build software.

The dependencies:
python from devx_xx.sfs
scons-1.1.0-i486.pet
Description  software construction tool
pet

 Download 
Filename  scons-1.1.0-i486.pet 
Filesize  933.19 KB 
Downloaded  896 Time(s) 

Last edited by robwoj44 on Thu 20 Jun 2013, 05:01; edited 1 time in total
Back to top
View user's profile Send private message 
Lobster
Official Crustacean


Joined: 04 May 2005
Posts: 15117
Location: Paradox Realm

PostPosted: Sun 16 Nov 2008, 03:30    Post subject:  

You need Python to use this pet?
_________________
Puppy WIKI
Back to top
View user's profile Send private message Visit poster's website 
robwoj44

Joined: 08 Aug 2008
Posts: 362
Location: Warsaw

PostPosted: Sun 16 Nov 2008, 13:00    Post subject:  

SCons is written in Python, so you must obviously have Python installed on your system to use SCons.
python from devx_xxx.sfs or http://www.tekwolf.net/uploads/files/pet_packages-4/programing/Python-2.5.2-i686.pet

Lobster wrote:
You need Python to use this pet?
Back to top
View user's profile Send private message 
Display posts from previous:   Sort by:   
Page 1 of 1 [3 Posts]  
Post new topic   Reply to topic View previous topic :: View next topic
 Forum index » Advanced Topics » Additional Software (PETs, n' stuff) » Unsorted
Jump to:  

You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.0392s ][ Queries: 12 (0.0030s) ][ GZIP on ]